GET /api/v2/announcements
Content-Type: application/vnd.api+json
Body
Parameters
Filters
language_code
Typestring
Description
filter by language code (downcased and underscored version of the language code)
Required
No
Response
Headers
Body
Fields
data
Type[Announcement]
Description
An array of Announcements Objects
Announcement [GET]
Announcement [GET]
Request
Endpoint
Body
Response
Headers
Body
Fields
Attributes
body
Typestring
Description
The body text of the announcement
created_at
Typedate
Description
The timestamp of when this resource was created
display_method
Typestring
Description
How the announcement should be presented to the user (One of banner, or modal)
image_url
TypeURL string
Description
The url of an image to display to the user
style
Typestring
Description
The color scheme to present the announcement (One of default, warning, info, danger, success)
title
Typestring
Description
The title of the announcement
updated_at
Typedate
Description
The timestamp of when this resource was last updated
updated_in_db_at
Typedate
Description
This is to be used as a reference for the last time the resource was updated in the remote database - specifically for when data is updated while the client is offline.
Relationships
actions.data
Type[AnnouncementAction]
Description
An array of Actions the user can take to acknowledge the announcement